
<div class="my-3">
    <div class="header">
        <div class="d-flex justify-content-between my-3">
            <h5>{{data?.application.owner}}</h5>
            <span class="text-muted me-2">{{data?.application.dateOfApplication | date: "dd MMMM yyyy"}}</span>
        </div>
        <p class="text-muted">{{data?.application.phoneNumber}}</p>
        <p class="text-muted">{{data?.application.email}}</p>
    </div>
    <div class="body">
          <h6 class="my-3">{{'state.about' | translate}}</h6> 
        <ul class="procurement-additional-info-list">
            <li class="w-75 my-2">
                <span class="text-muted">{{'state.nameItem' | translate}}</span>
                <span class="float-end">{{data?.name}}</span>
            </li>
            
            <li class="w-75 my-2">
                <span class="text-muted">{{'state.item' | translate}}</span>
                <span class="float-end">{{data?.item}}</span>
            </li>
            <li class="w-75 my-2">
                <span class="text-muted">{{'state.categories' | translate}}</span>
                <span class="float-end">{{data?.category}}</span>
            </li>
            <li class="w-75 my-2">
                <span class="text-muted">{{'state.unit' | translate}}</span>
                <span class="float-end">{{data?.quantity}} {{data?.unit}}</span>
            </li>
        </ul>
        <div class="my-3">
            <label for="discription">{{'state.discription' | translate}}</label>
            <textarea class="form-control w-75" rows="4" value="{{data?.comment}}" readonly></textarea> 
        </div>
        <div class="my-3">
            <h6>{{'state.attachFile' | translate}}</h6>
            <ul class="mb-0" [class.hide]="!f" *ngFor="let item of data?.documents; let f = first">
                <li class="w-50 my-2">
                    <span [ngClass]="f ? 'text-muted' : 'text-white'">{{'state.statement' | translate}}</span>
                    <span class="float-end"><a class="text-decoration-underline" (click)="fileSave(item)"><i class="bi bi-file-earmark-arrow-down"></i> {{item.title}}</a></span>
                </li>
            </ul>
        </div>
    </div>
    <div>
        <button class="btn btn-primary" *ngIf="permission?.SendApplication" (click)="openAction(action)">{{'state.action' | translate}}</button>
    </div>
</div>

<ng-template let-modal #action>
    <div>
    <div class="modal-header">
        <h4 class="modal-title">{{'state.direct' | translate}}</h4>
        <button type="button" class="btn-close" (click)="close()"></button>
    </div>
    <div class="modal-body">
       <form [formGroup]="form" (ngSubmit)="submit()">    
                <div class="">
                    <select class="form-select" formControlName="receiverId">
                        <option value="null">{{'state.choose' | translate}}</option>
                        <option [value]="user.login" *ngFor="let user of users">{{getFullName(user)}}</option>
                    </select>
                </div>
            <div class="my-3">
                <textarea class="form-control" name="textarea" id="textarea" style="height: 100px;"></textarea>
            </div>
            <div>
                <button class="btn btn-dark" type="submit">{{'state.direct' | translate}}</button>
            </div>
       </form> 
    </div>
    </div>
</ng-template>
